¡Hola, bienvenido al foro de las noches Skyperas!

Entra con tu login, o registrate y disfruta con gente que tiene tus mismas aficiones.
Noches Skyperas
RegístrateBuscarFAQFavoritosMiembrosGruposConéctate
Noches Skyperas » Emuladores
¿Librerías de Kaillera?

Responder Página 1 de 1
Tema creado por Derenhein - Lun 02 Ene 2017 18:59 - 180 lecturas
Autor Mensaje
Derenhein
Vanguardia
Vanguardia


Reg.: 29 Dic 2016
starstarstarstarstarstarstarstar

Mensajes: 64
Baleares

Agradeció: 33 posts
Le agradecieron: 7 posts


#1 Escribió el primer mensaje de este tema Lun 02 Ene 2017 18:59 - ¿Librerías de Kaillera? Responder citando
Tengo una duda, ya que por internet he visto que hay un par de librerías (o bibliotecas... o "dll") de Kaillera, con diferentes revisiones o con hacks para que funcionen mejor.

Se que Kaillera lleva abandonado muchos años, aunque la comunidad hace tiempo que intenta que vaya funcionando con la menor cantidad de bugs posibles, pero ¿hay alguna que funcione mejor que la otra?. La información a veces es dispersa, vieja o simplemente, inexistente.

Es que tengo un problema (de mi pc, seguro) muy curioso, y es que la versión de Dark_Ryu, cuando me meto en una sala y me uno a una partida (sea yo el que la hace, u otro), al darle a "join", automáticamente soy expulsado y no puedo participar, pero si uso una más vieja que ni puede organizar partidas, si puedo unirme a la partida.

Dar gracias al autor por este mensaje
Subir ^
furiadeoso
Vanguardia
Vanguardia


Reg.: 02 Ene 2017
starstarstarstarstarstarstarstar

Mensajes: 29
Andalucía

Agradeció: 2 posts
Le agradecieron: 11 posts


#2 Lun 02 Ene 2017 19:23 - Re: ¿Librerías de Kaillera? Responder citando
Derenhein escribió :
Tengo una duda, ya que por internet he visto que hay un par de librerías (o bibliotecas... o "dll") de Kaillera, con diferentes revisiones o con hacks para que funcionen mejor.

Se que Kaillera lleva abandonado muchos años, aunque la comunidad hace tiempo que intenta que vaya funcionando con la menor cantidad de bugs posibles, pero ¿hay alguna que funcione mejor que la otra?. La información a veces es dispersa, vieja o simplemente, inexistente.

Es que tengo un problema (de mi pc, seguro) muy curioso, y es que la versión de Dark_Ryu, cuando me meto en una sala y me uno a una partida (sea yo el que la hace, u otro), al darle a "join", automáticamente soy expulsado y no puedo participar, pero si uso una más vieja que ni puede organizar partidas, si puedo unirme a la partida.


¿Qué tal, Derenhein? Pues el tema no es simple, porque a la versión de kaillera que uses le tienes que sumar muchos otros factores, como la versión de emulador o de server. Nosotros, en EMUpartidas hemos realizado muchísmos testeos y tenemos ya bastante claro que la versión que mejor va es la n02 v0.5r1 (2007), de la cual hay una variante recompilada por DINK (desarrollador de Final Burn Alpha) que es la que usamos para los emuladores online de arcade.

No obstante, si juegas sobre un servidor con EMULINKER es posible que tengas algunos inconvenientes de desincronización.

NO sé exactamente qué te ocurre cuando intentas entrar en las partidas, pero desde luego es muy importante que todos los jugadores utilicen exactamente el mismo cliente kaillera, emulador, configuración de emulador y romset.

Espero haberte aclarado algo, y si no pues avisa que para eso estamos!

Dar gracias al autor por este mensaje 1 usuario agradeció este mensaje: Derenhein
Subir ^
Derenhein
Vanguardia
Vanguardia


Reg.: 29 Dic 2016
starstarstarstarstarstarstarstar

Mensajes: 64
Baleares

Agradeció: 33 posts
Le agradecieron: 7 posts


#3 Escribió el primer mensaje de este tema Lun 02 Ene 2017 19:54 - Asunto Responder citando
Muchas gracias furiadeoso, te explico un poco.

Tengo un servidor con Emulinker en una placa tipo Raspberry Pi (una odroid C1+) para probar como va y para unos colegas, le falta mucho testeo eso si. Tengo puesto Emulinker 2.0.2, pues bajo linux (que es lo que usan esta placas), tengo muchos problemas para hacer funcionar Kaillera-server.

Todos usamos la misma versión del emulador y las mismas roms (de hecho soy yo el que les pasa enlaces o el material directamente a mis colegas) y entre ellos no tienen ningún problema para unirse a la partida. Miré mil cosas y repasé mi red, puertos y todo lo referente a la conexión (ya que donde vivo, estoy en otra subred), pero si mis colegas podían jugar y yo no, ya pensé que era algo de mi windows, que creo que está algo tocado (win 10 64bits). Así que puse la n02 v0.5r0 y esa si que me funciona.

El fallo es que al darle a unirme a la partida, automáticamente soy desconectado. Puedo meterme en el servidor, usar el chat, organizar partidas... pero cuando le dan a empezar partida (o le doy yo a iniciar si la organizo yo) y ¡BUM! ... desconectado.

¿Tiene DINK algún github donde tenga dicha librería? Así podría probar si me sucede lo mismo.

Ya comento que lo tengo montado por que soy de los que a veces se divierte más trasteando que jugando, y no he podido probar muchas cosas de Kaillera, pero es que ni siquiera puedo unirme a partidas.

Por cierto, buena iniciativa la de EMUpartidas, parece interesante!

Dar gracias al autor por este mensaje
Subir ^
furiadeoso
Vanguardia
Vanguardia


Reg.: 02 Ene 2017
starstarstarstarstarstarstarstar

Mensajes: 29
Andalucía

Agradeció: 2 posts
Le agradecieron: 11 posts


#4 Lun 02 Ene 2017 23:15 - Asunto Responder citando
¿también te pasa si inicias tú partida sin nadie metido en tu server? Es decir, creas partida y le das a iniciar.

Creo que el código es el del proyecto openkaillera. Dink creo que no tiene nada abierto piblicado.

Lo que no termino de entender bien es si sólo te va mal con las versiones modernas o si también te echa con la n02 v0.5r0 .

Dar gracias al autor por este mensaje
Subir ^
Derenhein
Vanguardia
Vanguardia


Reg.: 29 Dic 2016
starstarstarstarstarstarstarstar

Mensajes: 64
Baleares

Agradeció: 33 posts
Le agradecieron: 7 posts


#5 Escribió el primer mensaje de este tema Mar 03 Ene 2017 01:22 - Re: Asunto Responder citando
furiadeoso escribió :
¿también te pasa si inicias tú partida sin nadie metido en tu server? Es decir, creas partida y le das a iniciar.

Creo que el código es el del proyecto openkaillera. Dink creo que no tiene nada abierto piblicado.

Lo que no termino de entender bien es si sólo te va mal con las versiones modernas o si también te echa con la n02 v0.5r0 .


Echaré un ojo a openkaillera.

La versión "Open Kaillera - n02 (fix) v0.5r0 (kaillera 0.9 compatible) - Aug 15 2011" es la que me funciona, la "Open Kaillera - n02 v0.5r1 (kaillera 0.9 compatible) - Nov  1 2007" es la que no me funciona.

Lo malo es que la "n02 (fix) v0.5r0" no me deja crear partidas, incluso estando yo solo en el servidor, te pego el mensaje que tengo :

Código:

<Server> Help: EmuLinker X v2.0.2: 02-17-2015 - Visit: http://smashboards.com/threads/emulinker-x-v2-0.390887/
<Server> *****************************************
<Server> Update: This server is using Emulinker X
<Server> By: Firo and Agent 21 iXi
<Server> *****************************************
* Starting: Alien Storm (bootleg, set 1) (1/1)
- press "Drop" if emulator fails
* Dropped: Derenhein (Player 1)


Es que me parece algo tan raro que a mis colegas les funcione la n02 v0.5r1, que no he podido evitar preguntarlo.

Dar gracias al autor por este mensaje
Subir ^
furiadeoso
Vanguardia
Vanguardia


Reg.: 02 Ene 2017
starstarstarstarstarstarstarstar

Mensajes: 29
Andalucía

Agradeció: 2 posts
Le agradecieron: 11 posts


#6 Mar 03 Ene 2017 03:40 - Re: Asunto Responder citando
Derenhein escribió :
furiadeoso escribió :
¿también te pasa si inicias tú partida sin nadie metido en tu server? Es decir, creas partida y le das a iniciar.

Creo que el código es el del proyecto openkaillera. Dink creo que no tiene nada abierto piblicado.

Lo que no termino de entender bien es si sólo te va mal con las versiones modernas o si también te echa con la n02 v0.5r0 .


Echaré un ojo a openkaillera.

La versión "Open Kaillera - n02 (fix) v0.5r0 (kaillera 0.9 compatible) - Aug 15 2011" es la que me funciona, la "Open Kaillera - n02 v0.5r1 (kaillera 0.9 compatible) - Nov  1 2007" es la que no me funciona.

Lo malo es que la "n02 (fix) v0.5r0" no me deja crear partidas, incluso estando yo solo en el servidor, te pego el mensaje que tengo :

Código:

<Server> Help: EmuLinker X v2.0.2: 02-17-2015 - Visit: http://smashboards.com/threads/emulinker-x-v2-0.390887/
<Server> *****************************************
<Server> Update: This server is using Emulinker X
<Server> By: Firo and Agent 21 iXi
<Server> *****************************************
* Starting: Alien Storm (bootleg, set 1) (1/1)
- press "Drop" if emulator fails
* Dropped: Derenhein (Player 1)
Es que me parece algo tan raro que a mis colegas les funcione la n02 v0.5r1, que no he podido evitar preguntarlo.



A nosotros nos pasaron cosas parecidas al usar las versiones de 2011, por eso entre otras cosas las dejamos de lado. Lo que me resulta raro es que no te funcione la de 2007. Supongo que también tendrá que ver con tu server y ahí poco te puedo ayudar porque realmente terminamos desistiendo de montar el server en nuestras casas por la complicación que conllevaba y lo inestable que resulta, unido a los altos ping que suele dar.

Yo te recomiendo que uses e servidor público que hay en Madrid, con el que tenemos contacto directo. Ahí no deberías tener problemas con las versiones de 2007 o la de DINK de 2014

Dar gracias al autor por este mensaje 1 usuario agradeció este mensaje: Derenhein
Subir ^
Derenhein
Vanguardia
Vanguardia


Reg.: 29 Dic 2016
starstarstarstarstarstarstarstar

Mensajes: 64
Baleares

Agradeció: 33 posts
Le agradecieron: 7 posts


#7 Escribió el primer mensaje de este tema Mar 03 Ene 2017 15:01 - Asunto Responder citando
Muchas gracias furiadeoso, iré trasteando un poco ya que me suelo entretener a veces montando estas cosas e iré investigando un poco.

Gracias por tu ayuda y tus consejos   :razz:

Dar gracias al autor por este mensaje
Subir ^
Mostrar mensajes anteriores:    
Responder Página 1 de 1
Horas en GMT + 2
Ir a: 

NO puedes: crear mensajes/responder temas/editar tus mensajes/borrar tus mensajes/votar en encuestas -> Regístrate/Conéctate
Volver a Emuladores